Get secret credentials
curl --request GET \
--url https://your-syteca-host/SytecaACB/api/secrets/{id}/password \
--header 'Authorization: <api-key>'import requests
url = "https://your-syteca-host/SytecaACB/api/secrets/{id}/password"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://your-syteca-host/SytecaACB/api/secrets/{id}/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"type": "None",
"login": "<string>",
"description": "<string>",
"password": "<string>",
"ssh_key": {
"private_key": "<string>",
"pass_phrase": "<string>"
},
"domain": "<string>",
"computer_name": "<string>",
"url": "<string>",
"server": "<string>"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}Secrets
Get secret credentials
Retrieves the credentials (password/private key) for a specific secret
GET
/
api
/
secrets
/
{id}
/
password
Get secret credentials
Authorizations
Access token for authentication
Path Parameters
The ID of the secret to retrieve credentials for
Required range:
x >= 1Response
Secret credentials retrieved successfully
Unique identifier of the secret
Name of the secret
Type of secret
Available options:
None, UnixAccountSSH, UnixAccountTelnet, WindowsAccount, ADAccount, WebAccount, MSSQLAccount Login username
Description of the secret
The password value
Show child attributes
Show child attributes
Domain for AD accounts
Computer name for Windows/Unix accounts
URL for web accounts
Server for database accounts